<?php
if( function_exists('acf_add_local_field_group') ):

acf_add_local_field_group(array(
	'key' => 'group_5c2d43b02f197',
	'title' => esc_html__('Page Options', 'sitka' ),
	'fields' => array(
		array(
			'key' => 'field_5c2dc4cabbba5',
			'label' => esc_html__( 'Layout Settings', 'sitka' ),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c2dc7c213414',
			'label' => esc_html__( 'Page Layout', 'sitka' ),
			'name' => 'sitka_acf_page_layout',
			'type' => 'radio',
			'instructions' => esc_html__( 'Default uses the global setting in Customize > Page Settings', 'sitka' ),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'acf-image-select',
				'id' => '',
			),
			'choices' => array(
				'default' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/default.png" />',
				'layout1' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/style1.png" />',
				'layout2' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/page-style2.png" />',
				'layout3' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/page-style3.png" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c2dc8de0a7c1',
			'label' => esc_html__( 'Page Content Layout', 'sitka' ),
			'name' => 'sitka_acf_page_content_layout',
			'type' => 'radio',
			'instructions' => esc_html__( 'Default uses the global setting in Customize > Page Settings', 'sitka' ),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'acf-image-select',
				'id' => '',
			),
			'choices' => array(
				'default' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/default.png" />',
				'isSidebar' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/isSidebar.png" />',
				'isNarrow isFullwidth' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/isNarrow.png" />',
				'isFullwidth' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/isFullwidth.png" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_sitka_page_hide_image',
			'label' => esc_html__( 'Display Featured Image', 'sitka' ),
			'name' => 'sitka_acf_page_show_image',
			'type' => 'button_group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c2dc7c213414',
						'operator' => '==',
						'value' => 'layout1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'show' => 'Show',
				'hide' => 'Hide',
			),
			'allow_null' => 0,
			'default_value' => 'show',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5c2ea039164c2',
			'label' => esc_html__( 'Display Page Title', 'sitka' ),
			'name' => 'sitka_acf_page_show_title',
			'type' => 'button_group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => 'Default',
				'show' => 'Show',
				'hide' => 'Hide',
			),
			'allow_null' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5c2efa8e445fa',
			'label' => esc_html__( 'Display Page Social Share Buttons', 'sitka' ),
			'name' => 'sitka_acf_page_show_social',
			'type' => 'button_group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => 'Default',
				'show' => 'Show',
				'hide' => 'Hide',
			),
			'allow_null' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5d72c31c64344',
			'label' => esc_html__( 'Display Widget Area "Widget Under Featured Area"', 'sitka' ),
			'name' => 'sitka_acf_page_show_widget',
			'type' => 'button_group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'show' => 'Show',
				'hide' => 'Hide',
			),
			'allow_null' => 0,
			'default_value' => 'hide',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5c33d5e5edde7',
			'label' => esc_html__( 'Blog Settings', 'sitka' ),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c33d600edde8',
			'label' => esc_html__( 'Enable Blog on this page?', 'sitka' ),
			'name' => 'sitka_acf_page_blog_enable',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c33d868f5f87',
			'label' => esc_html__( 'Blog Layout', 'sitka' ),
			'name' => 'sitka_acf_page_blog_layout',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c33d600edde8',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => 'acf-image-select',
				'id' => '',
			),
			'choices' => array(
				'classic' =>  '<img src="'. get_template_directory_uri() .'/admin/admin-img/classic.png" />',
				'classic_grid' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/classic-grid.png" />',
				'grid' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/grid.png" />',
				'classic_list' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/classic-list.png" />',
				'list' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/list.png" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'classic',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c9b308f9550e',
			'label' => esc_html__( 'Select Grid Style', 'sitka' ),
			'name' => 'sitka_acf_page_blog_layout_grid',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c33d868f5f87',
						'operator' => '==',
						'value' => 'grid',
					),
				),
				array(
					array(
						'field' => 'field_5c33d868f5f87',
						'operator' => '==',
						'value' => 'classic_grid',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'style1' => esc_html__( 'Grid Style 1', 'sitka' ),
				'style2' => esc_html__( 'Grid Style 2', 'sitka' ),
				'style3' => esc_html__( 'Grid Style 3', 'sitka' ),
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'style1',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c9b37f49bf2e',
			'label' => esc_html__( 'Select List Style', 'sitka' ),
			'name' => 'sitka_acf_page_blog_layout_list',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c33d868f5f87',
						'operator' => '==',
						'value' => 'list',
					),
				),
				array(
					array(
						'field' => 'field_5c33d868f5f87',
						'operator' => '==',
						'value' => 'classic_list',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'style1' => esc_html__( 'Style 1', 'sitka' ),
				'style2' => esc_html__( 'Style 2', 'sitka' ),
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'style1',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c9b3c2f7fbaa',
			'label' => esc_html__( 'Alternate List Posts?', 'sitka' ),
			'name' => 'sitka_acf_page_blog_layout_list_alternate',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c33d868f5f87',
						'operator' => '==',
						'value' => 'classic_list',
					),
				),
				array(
					array(
						'field' => 'field_5c33d868f5f87',
						'operator' => '==',
						'value' => 'list',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c33d90403853',
			'label' => esc_html__( 'Posts Per Page', 'sitka' ),
			'name' => 'sitka_acf_page_blog_amount',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c33d600edde8',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 10,
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'min' => 1,
			'max' => '',
			'step' => 1,
		),
		array(
			'key' => 'field_5c34331c1d5a6',
			'label' => esc_html__( 'Set a different amount of posts on 1st page?', 'sitka' ),
			'name' => 'sitka_acf_page_blog_amount_first_enable',
			'type' => 'true_false',
			'instructions' => esc_html__( 'Helpful if using "1st Classic + Grid" Homepage Layout to avoid uneven grid rows on page 2, 3, etc. of the blog.', 'sitka' ),
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c33d600edde8',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c33d99803854',
			'label' => esc_html__( 'Post Per Page (1st page)', 'sitka' ),
			'name' => 'sitka_acf_page_blog_amount_first',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c33d600edde8',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c34331c1d5a6',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 10,
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'min' => 1,
			'max' => '',
			'step' => 1,
		),
		array(
			'key' => 'field_5c33da4903855',
			'label' => esc_html__( 'Filter by Category', 'sitka' ),
			'name' => 'sitka_acf_page_blog_cat',
			'type' => 'taxonomy',
			'instructions' => esc_html__( 'Only show posts from selected categories or leave blank to show all posts.', 'sitka' ),
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c33d600edde8',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'taxonomy' => 'category',
			'field_type' => 'multi_select',
			'allow_null' => 0,
			'add_term' => 0,
			'save_terms' => 0,
			'load_terms' => 0,
			'return_format' => 'id',
			'multiple' => 0,
		),
		array(
			'key' => 'field_5c33daf7b465c',
			'label' => esc_html__( 'Blog Heading', 'sitka' ),
			'name' => 'sitka_acf_page_blog_heading',
			'type' => 'text',
			'instructions' => esc_html__( 'Leave blank if you don\'t want to display a heading above blog posts.', 'sitka' ),
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c33d600edde8',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5c3461e28bdd7',
			'label' => esc_html__( 'Hide Page Content?', 'sitka' ),
			'name' => 'sitka_acf_page_hide_content',
			'type' => 'true_false',
			'instructions' => esc_html__( 'Blog posts will appear beneath any content added above in page editor. Hide the page content if you only want to show the blog feed. ', 'sitka' ),
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c33d600edde8',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c2dc4eebbba6',
			'label' => esc_html__( 'Featured Area Settings', 'sitka' ),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5d579551f93ec',
			'label' => esc_html__( 'Enable Featured Area?', 'sitka' ),
			'name' => 'sitka_acf_page_featured_enable',
			'type' => 'true_false',
			'instructions' => esc_html__( 'The featured area is only available for Page Layout Style 1.', 'sitka' ),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c2d4421f494e',
			'label' => esc_html__( 'Featured Area Layout', 'sitka' ),
			'name' => 'sitka_acf_page_feat_layout',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => 'acf-image-select',
				'id' => 'acf-featured-area-layout',
			),
			'choices' => array(
				'classic' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/classic-slider.png" />',
				'fullscreen' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/fullscreen.png" />',
				'split-fullscreen' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/fullscreen-split.png" />',
				'carousel' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/carousel.png" />',
				'carousel-center' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/carousel-center.png" />',
				'split-slider' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/split-slider.png" />',
				'static-classic' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/classic-slider.png" />',
				'static-fullscreen' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/fullscreen.png" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'none',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c94a08d8d125',
			'label' => esc_html__( 'Slider Width', 'sitka' ),
			'name' => 'sitka_acf_page_feat_slider_width',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'carousel',
					),
				),
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'classic',
					),
				),
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'static-classic',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'content-width' => esc_html__( 'Content width', 'sitka' ),
				'full-width' => esc_html__( 'Full-width', 'sitka' ),
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'content-width',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5e3fcc22c9973',
			'label' => 'Custom Slides',
			'name' => 'sitka_acf_page_feat_static_slides',
			'type' => 'repeater',
			'instructions' => 'All fields are optional',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'static-classic',
					),
				),
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'static-fullscreen',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => '',
			'min' => 0,
			'max' => 0,
			'layout' => 'row',
			'button_label' => 'Add New Slide',
			'sub_fields' => array(
				array(
					'key' => 'field_5e3fcc51c9974',
					'label' => 'Slide: Image',
					'name' => 'slide_image',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'id',
					'preview_size' => 'medium',
					'library' => 'all',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
				array(
					'key' => 'field_5e3fcd5fc9975',
					'label' => 'Slide: Link',
					'name' => 'slide_link',
					'type' => 'url',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5e3fcd8ac9976',
					'label' => 'Slide: Title',
					'name' => 'slide_title',
					'type' => 'textarea',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'maxlength' => '',
					'rows' => 2,
					'new_lines' => '',
				),
				array(
					'key' => 'field_5e3fcde0afe0f',
					'label' => 'Slide: Sub-Title',
					'name' => 'slide_subtitle',
					'type' => 'textarea',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'maxlength' => '',
					'rows' => 2,
					'new_lines' => '',
				),
				array(
					'key' => 'field_5e3fcdf5afe10',
					'label' => 'Slide: Text',
					'name' => 'slide_content',
					'type' => 'textarea',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'maxlength' => '',
					'rows' => 4,
					'new_lines' => '',
				),
				array(
					'key' => 'field_5e3fce6bafe11',
					'label' => 'Slide: Button Text',
					'name' => 'slide_button_text',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5e3fcf3bafe12',
					'label' => 'Slide: Button Link',
					'name' => 'slide_button_link',
					'type' => 'url',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
				),
			),
		),
		array(
			'key' => 'field_5c94a232afe83',
			'label' => esc_html__( 'Carousel columns', 'sitka' ),
			'name' => 'sitka_acf_page_feat_carousel_columns',
			'type' => 'range',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'carousel',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 3,
			'min' => 2,
			'max' => 4,
			'step' => '',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_5c94a33abe0d6',
			'label' => esc_html__( 'Add space between carousel items?', 'sitka' ),
			'name' => 'sitka_acf_page_feat_carousel_spacing',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'carousel',
					),
				),
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'carousel-center',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c9565e4d1270',
			'label' => esc_html__( 'Classic Slider Overlay Style', 'sitka' ),
			'name' => 'sitka_acf_page_feat_classic_type',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'classic',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'style1' => esc_html__( 'Style 1', 'sitka' ),
				'style2' => esc_html__( 'Style 2', 'sitka' ),
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'style1',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c2d543698647',
			'label' => esc_html__('Extend Slider Over Header Bar', 'sitka' ),
			'name' => 'sitka_acf_page_feat_fullscreen_overlay',
			'type' => 'true_false',
			'instructions' => esc_html__('NOTE: Only works with Header Layout 1 and 2. If you enable this setting make sure you have uploaded a white version of your logo via Header & Logo Settings.', 'sitka' ),
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'fullscreen',
					),
				),
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'split-fullscreen',
					),
				),
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'static-fullscreen',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c2d499aa7e49',
			'label' => esc_html__('Featured Area Content Type', 'sitka' ),
			'name' => 'sitka_acf_page_feat_content_type',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-classic',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-fullscreen',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'latest' => esc_html__('Latest Posts', 'sitka' ),
				'category' => esc_html__('Posts by Categories', 'sitka' ),
				'tag' => esc_html__('Posts by Tags', 'sitka' ),
				'specific' => esc_html__('Specific Posts/Pages', 'sitka' ),
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'latest',
			'layout' => 'vertical',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c2d48c6adf1f',
			'label' => esc_html__('Number of Featured Items', 'sitka' ),
			'name' => 'sitka_acf_page_feat_amount',
			'type' => 'range',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-classic',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-fullscreen',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 3,
			'min' => 1,
			'max' => 10,
			'step' => '',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_5c3452be8197d',
			'label' => esc_html__('Exclude Featured Posts from post feed?', 'sitka' ),
			'name' => 'sitka_acf_page_feat_exclude',
			'type' => 'true_false',
			'instructions' => esc_html__('Posts in Featured Area will not appear in blog feed below it. Only works if you have added a blog to this page. ', 'sitka' ),
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-classic',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-fullscreen',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c2d52967429a',
			'label' => esc_html__('Select Category/Categories', 'sitka' ),
			'name' => 'sitka_acf_page_feat_content_category',
			'type' => 'taxonomy',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c2d499aa7e49',
						'operator' => '==',
						'value' => 'category',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'taxonomy' => 'category',
			'field_type' => 'multi_select',
			'allow_null' => 0,
			'add_term' => 0,
			'save_terms' => 0,
			'load_terms' => 0,
			'return_format' => 'id',
			'multiple' => 0,
		),
		array(
			'key' => 'field_5c2d531cc6853',
			'label' => esc_html__('Select Tag', 'sitka' ),
			'name' => 'sitka_acf_page_feat_content_tag',
			'type' => 'taxonomy',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c2d499aa7e49',
						'operator' => '==',
						'value' => 'tag',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'taxonomy' => 'post_tag',
			'field_type' => 'multi_select',
			'allow_null' => 0,
			'add_term' => 0,
			'save_terms' => 0,
			'load_terms' => 0,
			'return_format' => 'id',
			'multiple' => 0,
		),
		array(
			'key' => 'field_5c2d53750e2b2',
			'label' => esc_html__('Enter Post/Page IDs', 'sitka' ),
			'name' => 'sitka_acf_page_feat_content_posts',
			'type' => 'text',
			'instructions' => esc_html__('Separate IDs with a comma', 'sitka' ),
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c2d499aa7e49',
						'operator' => '==',
						'value' => 'specific',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5c3fc834b11f8',
			'label' => esc_html__('Slider Overlay Color', 'sitka' ),
			'name' => 'sitka_acf_page_feat_overlay_color',
			'type' => 'color_picker',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'fullscreen',
					),
				),
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'split-fullscreen',
					),
				),
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'classic',
					),
				),
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'static-classic',
					),
				),
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'static-fullscreen',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '#000000',
		),
		array(
			'key' => 'field_5c3fce52ce3ec',
			'label' => esc_html__('Slider Overlay Transparency', 'sitka' ),
			'name' => 'sitka_acf_page_feat_overlay_trans',
			'type' => 'number',
			'instructions' => esc_html__('Enter number between 0 and 1 (decimals) to alter transparency/opacity.', 'sitka' ),
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'fullscreen',
					),
				),
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'split-fullscreen',
					),
				),
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'classic',
					),
				),
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'static-classic',
					),
				),
				array(
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'static-fullscreen',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '0.2',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'min' => 0,
			'max' => 1,
			'step' => '0.01',
		),
		array(
			'key' => 'field_5e3fd199c5115',
			'label' => 'Static Classic Slider: Content overall max width',
			'name' => 'sitka_acf_page_feat_static_classic_width',
			'type' => 'range',
			'instructions' => 'Default: 70%',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'static-classic',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 70,
			'min' => 1,
			'max' => 100,
			'step' => 1,
			'prepend' => '',
			'append' => '%',
		),
		array(
			'key' => 'field_5e3fd3f24f932',
			'label' => 'Static Classic Slider: Content text max width',
			'name' => 'sitka_acf_page_feat_static_classic_text_width',
			'type' => 'range',
			'instructions' => 'Default: 70%',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'static-classic',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 70,
			'min' => 1,
			'max' => 100,
			'step' => 1,
			'prepend' => '',
			'append' => '%',
		),
		array(
			'key' => 'field_5e3fd510e6c59',
			'label' => 'Static Fullscreen Slider: Content overall max width',
			'name' => 'sitka_acf_page_feat_static_fullscreen_width',
			'type' => 'range',
			'instructions' => 'Default: 70%',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'static-fullscreen',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 70,
			'min' => 1,
			'max' => 100,
			'step' => 1,
			'prepend' => '',
			'append' => '%',
		),
		array(
			'key' => 'field_5e3fd56e97fa3',
			'label' => 'Static Fullscreen Slider: Content text max width',
			'name' => 'sitka_acf_page_feat_static_fullscreen_text_width',
			'type' => 'range',
			'instructions' => 'Default: 70%',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '==',
						'value' => 'static-fullscreen',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 70,
			'min' => 1,
			'max' => 100,
			'step' => 1,
			'prepend' => '',
			'append' => '%',
		),
		array(
			'key' => 'field_5c2dc074601ef',
			'label' => esc_html__('Display Featured Category', 'sitka' ),
			'name' => 'sitka_acf_page_feat_show_cat',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-classic',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-fullscreen',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c2dc2b372db0',
			'label' => esc_html__('Display Featured Title', 'sitka' ),
			'name' => 'sitka_acf_page_feat_show_title',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-classic',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-fullscreen',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c2dc3cdf4ab0',
			'label' => esc_html__('Display Featured Date', 'sitka' ),
			'name' => 'sitka_acf_page_feat_show_date',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-classic',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-fullscreen',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c2dc3dbf4ab1',
			'label' => esc_html__('Display Featured Author Avatar', 'sitka' ),
			'name' => 'sitka_acf_page_feat_show_author_img',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-classic',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-fullscreen',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c2dc3fef4ab2',
			'label' => esc_html__('Display Featured Author Name', 'sitka' ),
			'name' => 'sitka_acf_page_feat_show_author_name',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d579551f93ec',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-classic',
					),
					array(
						'field' => 'field_5c2d4421f494e',
						'operator' => '!=',
						'value' => 'static-fullscreen',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c31116eecb5b',
			'label' => esc_html__('Promo Box Settings', 'sitka' ),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c3476ebf926b',
			'label' => esc_html__('Enable Promo Boxes?', 'sitka' ),
			'name' => 'sitka_acf_page_promo_enable',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c31a7fef11ac',
			'label' => esc_html__('Promo Box Layout', 'sitka' ),
			'name' => 'sitka_acf_page_promo_layout',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c3476ebf926b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => 'acf-image-select',
				'id' => '',
			),
			'choices' => array(
				'grid' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/promo-grid.png" />',
				'mixed' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/promo-mixed.png" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'grid',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c311184ecb5c',
			'label' => esc_html__('Number of Promo Boxes', 'sitka' ),
			'name' => 'sitka_acf_page_promo_amount',
			'type' => 'range',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c31a7fef11ac',
						'operator' => '==',
						'value' => 'grid',
					),
					array(
						'field' => 'field_5c3476ebf926b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 1,
			'min' => 1,
			'max' => 4,
			'step' => '',
			'prepend' => '',
			'append' => '',
		),
		array(
			'key' => 'field_5d72b44316c1d',
			'label' => esc_html__('Promo Box Style', 'sitka' ),
			'name' => 'sitka_acf_page_promo_style',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c3476ebf926b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'style1' => esc_html__('Style 1', 'sitka' ),
				'style2' => esc_html__('Style 2', 'sitka' ),
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'style1',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c31b1f24e36b',
			'label' => esc_html__('Promo Box Height', 'sitka' ),
			'name' => 'sitka_acf_page_promo_height',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c3476ebf926b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 240,
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'min' => 0,
			'max' => 1200,
			'step' => 1,
		),
		array(
			'key' => 'field_5c31c9420374c',
			'label' => esc_html__('Display Inner Border', 'sitka' ),
			'name' => 'sitka_acf_page_promo_border',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c3476ebf926b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c311f7dbb59b',
			'label' => esc_html__('1st Promo Box', 'sitka' ),
			'name' => '',
			'type' => 'accordion',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c3476ebf926b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'open' => 1,
			'multi_expand' => 1,
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c3111d79a269',
			'label' => '',
			'name' => 'sitka_acf_page_promo1',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c3476ebf926b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'layout' => 'row',
			'sub_fields' => array(
				array(
					'key' => 'field_5c31120a9a26a',
					'label' => esc_html__('Image', 'sitka' ),
					'name' => 'sitka_acf_page_promo_image',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'id',
					'preview_size' => 'thumbnail',
					'library' => 'all',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
				array(
					'key' => 'field_5c3112359a26b',
					'label' => esc_html__('Title', 'sitka' ),
					'name' => 'sitka_acf_page_promo_title',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5c3112479a26c',
					'label' => esc_html__('Subtitle', 'sitka' ),
					'name' => 'sitka_acf_page_promo_subtitle',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5d72b44316c1d',
								'operator' => '==',
								'value' => 'style1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5c3112599a26d',
					'label' => esc_html__('URL', 'sitka' ),
					'name' => 'sitka_acf_page_promo_url',
					'type' => 'url',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5c3112709a26e',
					'label' => esc_html__('Open link in a new tab?', 'sitka' ),
					'name' => 'sitka_acf_page_promo_target',
					'type' => 'true_false',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
			),
		),
		array(
			'key' => 'field_5c311fa2bb59c',
			'label' => esc_html__('2nd Promo Box', 'sitka' ),
			'name' => '',
			'type' => 'accordion',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c3476ebf926b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'open' => 0,
			'multi_expand' => 1,
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c3112dee9e72',
			'label' => '',
			'name' => 'sitka_acf_page_promo2',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c3476ebf926b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'layout' => 'row',
			'sub_fields' => array(
				array(
					'key' => 'field_5c3112dfe9e73',
					'label' => esc_html__('Image', 'sitka' ),
					'name' => 'sitka_acf_page_promo_image',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'id',
					'preview_size' => 'thumbnail',
					'library' => 'all',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
				array(
					'key' => 'field_5c3112dfe9e74',
					'label' => esc_html__('Title', 'sitka' ),
					'name' => 'sitka_acf_page_promo_title',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5c3112dfe9e75',
					'label' => esc_html__('Subtitle', 'sitka' ),
					'name' => 'sitka_acf_page_promo_subtitle',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5d72b44316c1d',
								'operator' => '==',
								'value' => 'style1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5c3112dfe9e76',
					'label' => esc_html__('URL', 'sitka' ),
					'name' => 'sitka_acf_page_promo_url',
					'type' => 'url',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5c3112dfe9e77',
					'label' => esc_html__('Open link in a new tab?', 'sitka' ),
					'name' => 'sitka_acf_page_promo_target',
					'type' => 'true_false',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
			),
		),
		array(
			'key' => 'field_5c31209ceead7',
			'label' => esc_html__('3rd Promo box', 'sitka' ),
			'name' => '',
			'type' => 'accordion',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c3476ebf926b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'open' => 0,
			'multi_expand' => 1,
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c31132b0b143',
			'label' => '',
			'name' => 'sitka_acf_page_promo3',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c3476ebf926b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'layout' => 'row',
			'sub_fields' => array(
				array(
					'key' => 'field_5c31132b0b144',
					'label' => esc_html__('Image', 'sitka' ),
					'name' => 'sitka_acf_page_promo_image',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => '',
					'preview_size' => 'thumbnail',
					'library' => '',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
				array(
					'key' => 'field_5c31132b0b145',
					'label' => esc_html__('Title', 'sitka' ),
					'name' => 'sitka_acf_page_promo_title',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5c31132b0b146',
					'label' => esc_html__('Subtitle', 'sitka' ),
					'name' => 'sitka_acf_page_promo_subtitle',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5d72b44316c1d',
								'operator' => '==',
								'value' => 'style1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5c31132b0b147',
					'label' => esc_html__('URL', 'sitka' ),
					'name' => 'sitka_acf_page_promo_url',
					'type' => 'url',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5c31132b0b148',
					'label' => esc_html__('Open link in a new tab?', 'sitka' ),
					'name' => 'sitka_acf_page_promo_target',
					'type' => 'true_false',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
			),
		),
		array(
			'key' => 'field_5c3120bfeead9',
			'label' => esc_html__('4th Promo Box', 'sitka' ),
			'name' => '',
			'type' => 'accordion',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c3476ebf926b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'open' => 0,
			'multi_expand' => 1,
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c3113480b149',
			'label' => '',
			'name' => 'sitka_acf_page_promo4',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c3476ebf926b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'layout' => 'row',
			'sub_fields' => array(
				array(
					'key' => 'field_5c3113480b14a',
					'label' => esc_html__('Image', 'sitka' ),
					'name' => 'sitka_acf_page_promo_image',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'id',
					'preview_size' => 'thumbnail',
					'library' => 'all',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
				array(
					'key' => 'field_5c3113480b14b',
					'label' => esc_html__('Title', 'sitka' ),
					'name' => 'sitka_acf_page_promo_title',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5c3113480b14c',
					'label' => esc_html__('Subtitle', 'sitka' ),
					'name' => 'sitka_acf_page_promo_subtitle',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5d72b44316c1d',
								'operator' => '==',
								'value' => 'style1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5c3113480b14d',
					'label' => esc_html__('URL', 'sitka' ),
					'name' => 'sitka_acf_page_promo_url',
					'type' => 'url',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5c3113480b14e',
					'label' => esc_html__('Open link in a new tab?', 'sitka' ),
					'name' => 'sitka_acf_page_promo_target',
					'type' => 'true_false',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
			),
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'page',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5c15f72af3528',
	'title' => esc_html__('Post Options', 'sitka' ),
	'fields' => array(
		array(
			'key' => 'field_5c16a0e021df2',
			'label' => esc_html__('Layout Settings', 'sitka' ),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c15f74fb7681',
			'label' => esc_html__('Post Format', 'sitka' ),
			'name' => 'sitka_acf_post_format',
			'type' => 'radio',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'standard' => esc_html__('Standard Post', 'sitka' ),
				'video' => esc_html__('Video Post', 'sitka' ),
				'gallery' => esc_html__('Gallery Post', 'sitka' ),
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'standard',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c169db777ff8',
			'label' => esc_html__('Post Layout', 'sitka' ),
			'name' => 'sitka_acf_post_layout',
			'type' => 'radio',
			'instructions' => esc_html__( 'Default uses the global setting in Customize > Post Settings', 'sitka' ),
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c15f74fb7681',
						'operator' => '==',
						'value' => 'standard',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => 'acf-image-select',
				'id' => '',
			),
			'choices' => array(
				'default' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/default.png" />',
				'layout1' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/style1.png" />',
				'layout2' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/style2.png" />',
				'layout3' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/style3.png" />',
				'layout4' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/style4.png" />',
				'layout5' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/style5.png" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c1c0c551c18e',
			'label' => esc_html__('Post Title Position', 'sitka' ),
			'name' => 'sitka_acf_post_title_pos',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c169db777ff8',
						'operator' => '==',
						'value' => 'layout4',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'below' => esc_html__('Below Featured Image', 'sitka' ),
				'above' => esc_html__('Above Featured Image', 'sitka' ),
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'below',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'sitka_field_post_style1_title',
			'label' => esc_html__('Post Title Position', 'sitka' ),
			'name' => 'sitka_acf_post_style1_title_pos',
			'type' => 'radio',
			'instructions' => esc_html__( 'Default uses the global setting in Customize > Post Settings', 'sitka' ),
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c169db777ff8',
						'operator' => '==',
						'value' => 'layout1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => esc_html__('Default', 'sitka' ),
				'above' => esc_html__('Above Featured Image', 'sitka' ),
				'below' => esc_html__('Below Featured Image', 'sitka' ),
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c16a25749d76',
			'label' => esc_html__('Video Post Layout', 'sitka' ),
			'name' => 'sitka_acf_video_post_layout',
			'type' => 'radio',
			'instructions' => esc_html__( 'Default uses the global setting in Customize > Post Settings', 'sitka' ),
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c15f74fb7681',
						'operator' => '==',
						'value' => 'video',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => 'acf-image-select',
				'id' => '',
			),
			'choices' => array(
				'default' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/default.png" />',
				'layout1' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/video-style1.png" />',
				'layout5' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/video-style2.png" />',
				'video-layout3' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/video-style3.png" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c16a294aa7b5',
			'label' => esc_html__('Gallery Post Layout', 'sitka' ),
			'name' => 'sitka_acf_gallery_post_layout',
			'type' => 'radio',
			'instructions' => esc_html__( 'Default uses the global setting in Customize > Post Settings', 'sitka' ),
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c15f74fb7681',
						'operator' => '==',
						'value' => 'gallery',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => 'acf-image-select',
				'id' => '',
			),
			'choices' => array(
				'default' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/default.png" />',
				'layout1' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/gallery-style1.png" />',
				'layout5' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/gallery-style2.png" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c16a0348f736',
			'label' => esc_html__('Post Content Layout', 'sitka' ),
			'name' => 'sitka_acf_post_content_layout',
			'type' => 'radio',
			'instructions' => esc_html__( 'Default uses the global setting in Customize > Post Settings', 'sitka' ),
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'acf-image-select',
				'id' => '',
			),
			'choices' => array(
				'default' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/default.png" />',
				'isSidebar' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/isSidebar.png" />',
				'isNarrow isFullwidth' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/isNarrow.png" />',
				'isFullwidth' => '<img src="'. get_template_directory_uri() .'/admin/admin-img/isFullwidth.png" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c196d1d8a859',
			'label' => esc_html__('Video URL', 'sitka' ),
			'name' => 'sitka_acf_video_url',
			'type' => 'oembed',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c15f74fb7681',
						'operator' => '==',
						'value' => 'video',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'width' => '',
			'height' => '',
		),
		array(
			'key' => 'field_5c1dd61185c80',
			'label' => esc_html__('Gallery Images', 'sitka' ),
			'name' => 'sitka_acf_gallery',
			'type' => 'gallery',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c15f74fb7681',
						'operator' => '==',
						'value' => 'gallery',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'min' => '',
			'max' => '',
			'insert' => 'append',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_5c1f1c62f8e48',
			'label' => esc_html__('Gallery Caption Position', 'sitka' ),
			'name' => 'sitka_acf_gallery_caption_pos',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c15f74fb7681',
						'operator' => '==',
						'value' => 'gallery',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'below' => esc_html__('Below Image', 'sitka' ),
				'overlay' => esc_html__('Overlay Image', 'sitka' ),
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'below',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c1f1cf2f8e49',
			'label' => esc_html__('Gallery Slide Counter', 'sitka' ),
			'name' => 'sitka_acf_gallery_counter',
			'type' => 'button_group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c15f74fb7681',
						'operator' => '==',
						'value' => 'gallery',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'show' => esc_html__('Show', 'sitka' ),
				'hide' => esc_html__('Hide', 'sitka' ),
			),
			'allow_null' => 0,
			'default_value' => 'show',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5c16a0961ca34',
			'label' => esc_html__('Hide/Show Settings', 'sitka' ),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c1f2b1d51fe3',
			'label' => esc_html__('Featured Image', 'sitka' ),
			'name' => 'sitka_acf_post_show_image',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => esc_html__('Default', 'sitka' ),
				'display' => esc_html__('Display Featured Image', 'sitka' ),
				'no_display' => esc_html__('Hide Featured Image', 'sitka' ),
				'ho_display' => esc_html__('Hide Featured Image only on single post pages', 'sitka' ),
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'vertical',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5cbad5a136f5f',
			'label' => esc_html__('Post Meta', 'sitka' ),
			'name' => 'sitka_acf_post_show_post_meta',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => esc_html__('Default', 'sitka' ),
				'display' => esc_html__('Display Post Meta', 'sitka' ),
				'single_display' => esc_html__('Display Post Meta only on single post pages', 'sitka' ),
				'no_display' => esc_html__('Hide Post Meta', 'sitka' ),
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'default',
			'layout' => 'vertical',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5cbae52285345',
			'label' => esc_html__('Post Footer Share Buttons', 'sitka' ),
			'name' => 'sitka_acf_post_show_footer_social',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => esc_html__('Default', 'sitka' ),
				'display' => esc_html__('Display Post Footer Share Buttons', 'sitka' ),
				'single_display' => esc_html__('Display Post Footer Share Buttons only on single post pages', 'sitka' ),
				'no_display' => esc_html__('Hide Post Footer Share Buttons', 'sitka' ),
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'default',
			'layout' => 'vertical',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c180d2763a31',
			'label' => esc_html__('Post Category', 'sitka' ),
			'name' => 'sitka_acf_post_show_category',
			'type' => 'button_group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => esc_html__('Default', 'sitka' ),
				'show' => esc_html__('Show', 'sitka' ),
				'hide' => esc_html__('Hide', 'sitka' ),
			),
			'allow_null' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5c18294f9db6a',
			'label' => esc_html__('Post Title', 'sitka' ),
			'name' => 'sitka_acf_post_show_title',
			'type' => 'button_group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => esc_html__('Default', 'sitka' ),
				'show' => esc_html__('Show', 'sitka' ),
				'hide' => esc_html__('Hide', 'sitka' ),
			),
			'allow_null' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5c180d4c63a32',
			'label' => esc_html__('Post Date', 'sitka' ),
			'name' => 'sitka_acf_post_show_date',
			'type' => 'button_group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => esc_html__('Default', 'sitka' ),
				'show' => esc_html__('Show', 'sitka' ),
				'hide' => esc_html__('Hide', 'sitka' ),
			),
			'allow_null' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5c1878225c473',
			'label' => esc_html__('Post Author Name', 'sitka' ),
			'name' => 'sitka_acf_post_show_author',
			'type' => 'button_group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => esc_html__('Default', 'sitka' ),
				'show' => esc_html__('Show', 'sitka' ),
				'hide' => esc_html__('Hide', 'sitka' ),
			),
			'allow_null' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5cb9886ce9b0c',
			'label' => esc_html__('Post Author Avatar', 'sitka' ),
			'name' => 'sitka_acf_post_show_author_avatar',
			'type' => 'button_group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => esc_html__('Default', 'sitka' ),
				'show' => esc_html__('Show', 'sitka' ),
				'hide' => esc_html__('Hide', 'sitka' ),
			),
			'allow_null' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5cbadab11e608',
			'label' => esc_html__('Post Meta Share Buttons', 'sitka' ),
			'name' => 'sitka_acf_post_show_meta_share',
			'type' => 'button_group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => esc_html__('Default', 'sitka' ),
				'show' => esc_html__('Show', 'sitka' ),
				'hide' => esc_html__('Hide', 'sitka' ),
			),
			'allow_null' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5c18a479fc370',
			'label' => esc_html__('Comment Box', 'sitka' ),
			'name' => 'sitka_acf_post_show_leavereply',
			'type' => 'button_group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => esc_html__('Default', 'sitka' ),
				'show' => esc_html__('Show', 'sitka' ),
				'hide' => esc_html__('Hide', 'sitka' ),
			),
			'allow_null' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5c18b90fd0dd2',
			'label' => esc_html__('Author Box', 'sitka' ),
			'name' => 'sitka_acf_post_show_author_box',
			'type' => 'button_group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => esc_html__('Default', 'sitka' ),
				'show' => esc_html__('Show', 'sitka' ),
				'hide' => esc_html__('Hide', 'sitka' ),
			),
			'allow_null' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5c18ba2d18f0f',
			'label' => esc_html__('Related Posts', 'sitka' ),
			'name' => 'sitka_acf_post_show_related',
			'type' => 'button_group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => esc_html__('Default', 'sitka' ),
				'show' => esc_html__('Show', 'sitka' ),
				'hide' => esc_html__('Hide', 'sitka' ),
			),
			'allow_null' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5ca0980a7ab68',
			'label' => esc_html__('Post Pagination', 'sitka' ),
			'name' => 'sitka_acf_post_show_pagination',
			'type' => 'button_group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => esc_html__('Default', 'sitka' ),
				'show' => esc_html__('Show', 'sitka' ),
				'hide' => esc_html__('Hide', 'sitka' ),
			),
			'allow_null' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5c1aa64a09b90',
			'label' => esc_html__('Post Teaser', 'sitka' ),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c1ab33defacd',
			'label' => esc_html__('Post Teaser Text', 'sitka' ),
			'name' => 'sitka_acf_post_teaser',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => 6,
			'new_lines' => '',
		),
		array(
			'key' => 'field_5c1ab7596bc2d',
			'label' => esc_html__('Only display on single post page?', 'sitka' ),
			'name' => 'sitka_acf_post_teaser_single',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
			'ui' => 1,
			'ui_on_text' => 'Yes',
			'ui_off_text' => 'No',
		),
		array(
			'key' => 'field_5c1abdff059dd',
			'label' => esc_html__('Post Teaser Position', 'sitka' ),
			'name' => 'sitka_acf_post_teaser_pos',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'title' => esc_html__('Under Post Title', 'sitka' ),
				'content' => esc_html__('Above Post Content', 'sitka' ),
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'title',
			'layout' => 'vertical',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c403d740aa3d',
			'label' => esc_html__('Featured Post Settings', 'sitka' ),
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c403e410aa3e',
			'label' => esc_html__('Custom Featured Area Image', 'sitka' ),
			'name' => 'sitka_acf_post_feat_custom_image',
			'type' => 'image',
			'instructions' => esc_html__('Have an alternate image represent the post in the Featured Area. If this is left blank, the post\'s standard Featured Image will be used.', 'sitka' ),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_5c40476ce1c3c',
			'label' => esc_html__('Custom Featured Area Title', 'sitka' ),
			'name' => 'sitka_acf_post_feat_custom_title',
			'type' => 'text',
			'instructions' => esc_html__('If you leave this blank then the post\'s regular title will be used', 'sitka' ),
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

endif;